extends GridContainer

func _on_entry_updated():
	$Label2.text = str(Global.scale_grams) + "g"
	$Label4.text = str(Global.tara_grams) + "g"
	$Label6.text = str(Global.current_entry.weight_grams) + "g"
	$Label8.text = "%.2f€" % (Global.current_entry.price_cents / 100.0)

func _ready() -> void:
	Global.weights_updated.connect(_on_entry_updated)
